/*
 * Copyright (c) eHealth
 */
package be.ehealth.technicalconnector.config.impl;

import be.ehealth.technicalconnector.config.ConfigFactory;
import be.fgov.ehealth.technicalconnector.tests.junit.rule.LoggingRule;
import org.junit.Rule;
import org.junit.Test;


/**
 * @author Hannes De Clercq
 */
public class ConfigurationModuleBootstrapTest {

    @Rule
    public LoggingRule logging = LoggingRule.with()
            .consoleAppender()
            .build();


    @Test
    public void bootstrap() throws Exception {
        ConfigurationModuleBootstrap module = new ConfigurationModuleBootstrap();
        module.init(null);
        module.unload();
    }

    @Test
    public void bootstrapWithConfiguration() throws Exception {
        ConfigurationModuleBootstrap module = new ConfigurationModuleBootstrap();
        module.init(ConfigFactory.getConfigValidator());
        module.unload();
    }


}
